KDE 4.9 PyKDE API Reference

- KDE's Python API

# PluginManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

The class that handles Marble's plugins.

Ownership policy for plugins:

On every invocation of createNetworkPlugins and createFloatItems the PluginManager creates new objects and transfers ownership to the calling site. In order to create the objects, the PluginManager internally has a list of the plugins which are owned by the PluginManager and destroyed by it.

## Signals
| parseRunnerPluginsChanged ()
| positionProviderPluginsChanged ()
| renderPluginsChanged ()
| reverseGeocodingRunnerPluginsChanged ()
| routingRunnerPluginsChanged ()
| searchRunnerPluginsChanged ()
## Methods
| __init__ (self, QObject parent=0)
| addParseRunnerPlugin (self, Marble.ParseRunnerPlugin plugin)
| addPositionProviderPlugin (self, Marble.PositionProviderPlugin plugin)
| addRenderPlugin (self, Marble.RenderPlugin plugin)
| addReverseGeocodingRunnerPlugin (self, Marble.ReverseGeocodingRunnerPlugin plugin)
| addRoutingRunnerPlugin (self, Marble.RoutingRunnerPlugin plugin)
| addSearchRunnerPlugin (self, Marble.SearchRunnerPlugin plugin)
[Marble.ParseRunnerPlugin] | parsingRunnerPlugins (self)
[Marble.PositionProviderPlugin] | positionProviderPlugins (self)
[Marble.ReverseGeocodingRunnerPlugin] | reverseGeocodingRunnerPlugins (self)
[Marble.RoutingRunnerPlugin] | routingRunnerPlugins (self)
[Marble.SearchRunnerPlugin] | searchRunnerPlugins (self)

## Signal Documentation

parseRunnerPluginsChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("parseRunnerPluginsChanged()"), target_slot)`

positionProviderPluginsChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("positionProviderPluginsChanged()"), target_slot)`

renderPluginsChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("renderPluginsChanged()"), target_slot)`

reverseGeocodingRunnerPluginsChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("reverseGeocodingRunnerPluginsChanged()"), target_slot)`

routingRunnerPluginsChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("routingRunnerPluginsChanged()"), target_slot)`

searchRunnerPluginsChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("searchRunnerPluginsChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

addParseRunnerPlugin | ( | self, |
|  | Marble.ParseRunnerPlugin | plugin
| ) |  |  |

Add a ParseRunnerPlugin manually to the list of known plugins. Normally you don't need to call this method since all plugins are loaded automatically.

Parameters:

  | plugin | The plugin to add. Ownership retains with the caller.

addPositionProviderPlugin | ( | self, |
|  | Marble.PositionProviderPlugin | plugin
| ) |  |  |

Add a PositionProviderPlugin manually to the list of known plugins. Normally you don't need to call this method since all plugins are loaded automatically.

Parameters:

  | plugin | The plugin to add. Ownership retains with the caller.

addRenderPlugin | ( | self, |
|  | Marble.RenderPlugin | plugin
| ) |  |  |

Add a RenderPlugin manually to the list of known plugins. Normally you don't need to call this method since all plugins are loaded automatically.

Parameters:

  | plugin | The plugin to add. Ownership retains with the caller.

addReverseGeocodingRunnerPlugin | ( | self, |
|  | Marble.ReverseGeocodingRunnerPlugin | plugin
| ) |  |  |

Add a ReverseGeocodingRunnerPlugin manually to the list of known plugins. Normally you don't need to call this method since all plugins are loaded automatically.

Parameters:

  | plugin | The plugin to add. Ownership retains with the caller.

addRoutingRunnerPlugin | ( | self, |
|  | Marble.RoutingRunnerPlugin | plugin
| ) |  |  |

Add a RoutingRunnerPlugin manually to the list of known plugins. Normally you don't need to call this method since all plugins are loaded automatically.

Parameters:

  | plugin | The plugin to add. Ownership retains with the caller.

addSearchRunnerPlugin | ( | self, |
|  | Marble.SearchRunnerPlugin | plugin
| ) |  |  |

Add a SearchRunnerPlugin manually to the list of known plugins. Normally you don't need to call this method since all plugins are loaded automatically.

Parameters:

  | plugin | The plugin to add. Ownership retains with the caller.

[Marble.ParseRunnerPlugin] parsingRunnerPlugins | ( |  | self ) |

Returns all parse runner plugins. @note: The runner plugins are owned by the PluginManager, do not delete them.

[Marble.PositionProviderPlugin] positionProviderPlugins | ( |  | self ) |

Returns all available PositionProviderPlugins.

Ownership of the items remains in PluginManager. In order to use the PositionProviderPlugins, first create new instances using PositionProviderPlugin.newInstance().

[Marble.ReverseGeocodingRunnerPlugin] reverseGeocodingRunnerPlugins | ( |  | self ) |

Returns all reverse geocoding runner plugins. @note: The runner plugins are owned by the PluginManager, do not delete them.

[Marble.RoutingRunnerPlugin] routingRunnerPlugins | ( |  | self ) |

Returns all routing runner plugins. @note: The runner plugins are owned by the PluginManager, do not delete them.

[Marble.SearchRunnerPlugin] searchRunnerPlugins | ( |  | self ) |

Returns all search runner plugins. @note: Runner plugins are owned by the PluginManager, do not delete them.